IF EXISTS (SELECT * FROM dbo.sysobjects WHERE ID = OBJECT_ID(N'RemoveExpiredWebClientPageState') AND XType = 'P')
BEGIN
	PRINT 'Dropping Procedure RemoveExpiredWebClientPageState'

	DROP PROCEDURE RemoveExpiredWebClientPageState
END
GO

PRINT 'Creating Procedure RemoveExpiredWebClientPageState'
GO

CREATE PROCEDURE RemoveExpiredWebClientPageState
AS

DECLARE @ExpirationMinutes INT
DECLARE @ElapsedDate DATETIME

SET @ExpirationMinutes = 60

SET @ElapsedDate = DATEADD(minute, @ExpirationMinutes * -1, GETDATE())

PRINT @ElapsedDate

DELETE FROM WebClientPageState
WHERE DateSaved < @ElapsedDate

GO
