<%@ Page Language="C#" AutoEventWireup="false"  CodeFile="ClientRibbonResizingManager.aspx.cs" Inherits="ClientRibbonResizingManager" %>

<%@ Register Assembly="RadToolbar.Net2" Namespace="Telerik.WebControls" TagPrefix="radTlb" %>
<%@ Register Assembly="RadComboBox.Net2" Namespace="Telerik.WebControls" TagPrefix="radC" %>
<%@ Register Assembly="RadAjax.Net2" Namespace="Telerik.WebControls" TagPrefix="radA" %>
<%@ Register Assembly="RadMenu.Net2" Namespace="Telerik.WebControls" TagPrefix="radM" %>
<%@ Register Assembly="RadTabStrip.Net2" Namespace="Telerik.WebControls" TagPrefix="radTS" %>
<%@ Register Assembly="RussellMason.Web.Application" Namespace="RussellMason.Web.UI.Office2007" TagPrefix="orb" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
    <title>Client-side examples - Ribbon Resizing Manager</title>
    <link rel="Stylesheet" type="text/css" href="../../Office2007Client/Css/RibbonBar.css" />
    <script type="text/javascript" src="../../Office2007Client/Scripts/RibbonBar.js"></script>
    <script type="text/javascript" src="../../Office2007Client/Scripts/RibbonPreloader.js"></script>
    <script type="text/javascript">
		function customizeMenuHandler(sender, eventArgs)
		{
			if (eventArgs.Item.Value == "MinimizeRibbon")
			{
				checked = _applicationBar.getMinimizeRibbon();
				checked = !checked;
				imageUrl = "../../Images/Misc/Unchecked.gif";
				
				if (checked)
				{
					imageUrl = "../../Images/Misc/Checked.gif";					
				}
				
				eventArgs.Item.SetImageUrl(imageUrl);
				
				_applicationBar.setMinimizeRibbon(checked);
			}
		}
	</script>
</head>
<body onload="preloadRibbonImages('../../Office2007Client/Images/');">
    <form id="form1" runat="server">
    <div>
			<orb:ApplicationBar ID="MainApplicationBar" runat="server" ApplicationName="Test Client" DocumentName="Ribbon Groups" GenerateClientMember="True" ApplicationMenuID="MainApplicationMenu" RibbonTabStripID="TabStrip" ClientMemberName="_applicationBar" CustomizeToolTip="Customize the Quick Access Toolbar" OnClientCustomizeClick="_applicationBar.showCustomizeMenu(event);" CustomizeMenuID="MinimizeMenu">
				<PlaceHolder>
				</PlaceHolder>
			</orb:ApplicationBar>
			<radTS:RadTabStrip ID="TabStrip" runat="server" Skin="Office2007" style="padding-left:50px;" MultiPageID="RadMultiPage" SelectedIndex="0">
				<Tabs>
					<radTS:Tab runat="server" Text="Ribbon Tab 1" PageViewID="PageView1" ID="RibbonTab1">
					</radTS:Tab>
					<radTS:Tab runat="server" PageViewID="PageView2" Text="Ribbon Tab 2">
					</radTS:Tab>
					<radTS:Tab runat="server" PageViewID="PageView3" Text="Ribbon Tab 3">
					</radTS:Tab>
				</Tabs>
			</radTS:RadTabStrip>
			<radTS:RadMultiPage ID="RadMultiPage" runat="server" CssClass="ribbonBar" SelectedIndex="0" Width="100%">
				<radTS:PageView ID="PageView1" runat="server" Width="100%" CssClass="ribbonStrinp ribbonPart" >
					<orb:RibbonGroup ID="RibbonGroup1" runat="server" Text="Group 1 - Group 1" GenerateClientMember="True" ClientMemberName="_ribbonGroup1" Width="175px" CollapsedImageUrl="~/Images/16x16/Document.gif" CollapsedWidth="70" ExpandedWidth="147" DropDownMenuAlignment="Right">
						<PlaceHolder>
							<orb:LargeRibbonButton ID="LargeRibbonButton1" runat="server" Text="Test" DisabledImageUrl="~/Images/32x32/DocumentDisabled.gif" EnabledImageUrl="~/Images/32x32/Document.gif" />
							<orb:LargeRibbonButton ID="LargeRibbonButton2" runat="server" Text="Test" DisabledImageUrl="~/Images/32x32/DocumentDisabled.gif" EnabledImageUrl="~/Images/32x32/Document.gif" />
							<orb:RibbonSeparator id="RibbonSeparator1" runat="server"></orb:RibbonSeparator>
							<orb:LargeRibbonButton ID="LargeRibbonButton3" runat="server" Text="Test" DisabledImageUrl="~/Images/32x32/DocumentDisabled.gif" EnabledImageUrl="~/Images/32x32/Document.gif" />
						</PlaceHolder>
					</orb:RibbonGroup>
					<orb:RibbonGroup ID="RibbonGroup2" runat="server" Text="Group 2" Width="200px" GenerateClientMember="True" ClientMemberName="_ribbonGroup2" CollapsedImageUrl="~/Images/16x16/Document.gif" CollapsedWidth="50" ExpandedWidth="189">
						<PlaceHolder>
							<orb:LargeRibbonButton ID="LargeRibbonButton4" runat="server" Text="Test" DisabledImageUrl="~/Images/32x32/DocumentDisabled.gif" EnabledImageUrl="~/Images/32x32/Document.gif" />
							<orb:LargeRibbonButton ID="LargeRibbonButton5" runat="server" Text="Test" DisabledImageUrl="~/Images/32x32/DocumentDisabled.gif" EnabledImageUrl="~/Images/32x32/Document.gif" />
							<orb:LargeRibbonButton ID="LargeRibbonButton6" runat="server" Text="Test" DisabledImageUrl="~/Images/32x32/DocumentDisabled.gif" EnabledImageUrl="~/Images/32x32/Document.gif" />
							<orb:LargeRibbonButton ID="LargeRibbonButton7" runat="server" Text="Test" DisabledImageUrl="~/Images/32x32/DocumentDisabled.gif" EnabledImageUrl="~/Images/32x32/Document.gif" />
						</PlaceHolder>
					</orb:RibbonGroup>
					<orb:RibbonGroup ID="RibbonGroup3" runat="server" Text="Group 3" Width="230px" GenerateClientMember="True" ClientMemberName="_ribbonGroup3" CollapsedImageUrl="~/Images/16x16/Document.gif" CollapsedWidth="50" ExpandedWidth="195" DropDownMenuAlignment="Right">
						<PlaceHolder>
							<orb:LargeRibbonButton ID="LargeRibbonButton8" runat="server" Text="Test" DisabledImageUrl="~/Images/32x32/DocumentDisabled.gif" EnabledImageUrl="~/Images/32x32/Document.gif" />
							<orb:RibbonSeparator id="RibbonSeparator2" runat="server"></orb:RibbonSeparator>
							<orb:LargeRibbonButton ID="LargeRibbonButton9" runat="server" Text="Test" DisabledImageUrl="~/Images/32x32/DocumentDisabled.gif" EnabledImageUrl="~/Images/32x32/Document.gif" />
							<orb:LargeRibbonButton ID="LargeRibbonButton10" runat="server" Text="Test" DisabledImageUrl="~/Images/32x32/DocumentDisabled.gif" EnabledImageUrl="~/Images/32x32/Document.gif" />
							<orb:RibbonSeparator id="RibbonSeparator3" runat="server"></orb:RibbonSeparator>
							<orb:LargeRibbonButton ID="LargeRibbonButton11" runat="server" Text="Test" DisabledImageUrl="~/Images/32x32/DocumentDisabled.gif" EnabledImageUrl="~/Images/32x32/Document.gif" />
						</PlaceHolder>
					</orb:RibbonGroup>
					<orb:RibbonGroup ID="RibbonGroup4" runat="server" Text="Group 4" Width="291px" GenerateClientMember="True" ClientMemberName="_ribbonGroup4" CollapsedImageUrl="~/Images/16x16/Document.gif" CollapsedWidth="50" ExpandedWidth="281" DropDownMenuAlignment="Left" ToolTip="Group 4 ToolTip">
						<PlaceHolder>
							<orb:LargeRibbonButton ID="LargeRibbonButton12" runat="server" Text="Test" DisabledImageUrl="~/Images/32x32/DocumentDisabled.gif" EnabledImageUrl="~/Images/32x32/Document.gif" />
							<orb:LargeRibbonButton ID="LargeRibbonButton13" runat="server" Text="Test" DisabledImageUrl="~/Images/32x32/DocumentDisabled.gif" EnabledImageUrl="~/Images/32x32/Document.gif" />
							<orb:LargeRibbonButton ID="LargeRibbonButton14" runat="server" Text="Test" DisabledImageUrl="~/Images/32x32/DocumentDisabled.gif" EnabledImageUrl="~/Images/32x32/Document.gif" />
							<orb:LargeRibbonButton ID="LargeRibbonButton15" runat="server" Text="Test" DisabledImageUrl="~/Images/32x32/DocumentDisabled.gif" EnabledImageUrl="~/Images/32x32/Document.gif" />
							<orb:LargeRibbonButton ID="LargeRibbonButton16" runat="server" Text="Test" DisabledImageUrl="~/Images/32x32/DocumentDisabled.gif" EnabledImageUrl="~/Images/32x32/Document.gif" />
							<orb:LargeRibbonButton ID="LargeRibbonButton17" runat="server" Text="Test" DisabledImageUrl="~/Images/32x32/DocumentDisabled.gif" EnabledImageUrl="~/Images/32x32/Document.gif" />
						</PlaceHolder>
					</orb:RibbonGroup>
				</radTS:PageView>
				<radTS:PageView ID="PageView2" runat="server" Width="100%" CssClass="ribbonPart">
					<orb:RibbonGroup ID="RibbonGroup5" runat="server" Text="Group 5" GenerateClientMember="True" ClientMemberName="_ribbonGroup5" Width="129px" CollapsedImageUrl="~/Images/16x16/Document.gif" CollapsedWidth="50" ExpandedWidth="100">
						<PlaceHolder>
							<orb:LargeRibbonButton ID="LargeRibbonButton18" runat="server" Text="Test" DisabledImageUrl="~/Images/32x32/DocumentDisabled.gif" EnabledImageUrl="~/Images/32x32/Document.gif" />
							<orb:RibbonSeparator id="RibbonSeparator4" runat="server"></orb:RibbonSeparator>
							<orb:LargeRibbonButton ID="LargeRibbonButton19" runat="server" Text="Test" DisabledImageUrl="~/Images/32x32/DocumentDisabled.gif" EnabledImageUrl="~/Images/32x32/Document.gif" />
						</PlaceHolder>
					</orb:RibbonGroup>
					<orb:RibbonGroup ID="RibbonGroup6" runat="server" Text="Group 6" Width="350px" GenerateClientMember="True" ClientMemberName="_ribbonGroup6" CollapseSequence="1" CollapsedImageUrl="~/Images/16x16/Document.gif" CollapsedWidth="50" ExpandedWidth="326">
						<PlaceHolder>
							<orb:ThreeRowLayout ID="ThreeRowLayout1" runat="server">
								<BottomPlaceHolder><orb:SmallRibbonButton ID="SmallRibbonButton2" runat="server" Text="Test" Width="65px" DisabledImageUrl="~/Images/16x16/DocumentDisabled.gif" EnabledImageUrl="~/Images/16x16/Document.gif" /></BottomPlaceHolder>
								<TopPlaceHolder><orb:SmallRibbonButton ID="SmallRibbonButton1" runat="server" Text="Test" Width="65px" DisabledImageUrl="~/Images/16x16/DocumentDisabled.gif" EnabledImageUrl="~/Images/16x16/Document.gif" /></TopPlaceHolder>
								<CenterPlaceHolder><orb:SmallSplitRibbonButton ID="SmallSplitRibbonButton1" runat="server" Text="Test" Width="65px" DisabledImageUrl="~/Images/16x16/DocumentDisabled.gif" EnabledImageUrl="~/Images/16x16/Document.gif" DropDownMenuID="DropDownMenu" OnClientRightClick="_smallSplitRibbonButton1.showDropDownMenu(event);" /></CenterPlaceHolder>
							</orb:ThreeRowLayout>
							<orb:RibbonSeparator ID="RibbonSeparator5" runat="server" />
							<orb:TwoRowLayout ID="TwoRowLayout1" runat="server">
								<BottomPlaceHolder>
									<asp:Button ID="Button1" runat="server" Text="Test" />
								</BottomPlaceHolder>
								<TopPlaceHolder>
									<asp:TextBox ID="TextBox1" runat="server" CssClass="ribbonBarTextBox ribbonPart">Test</asp:TextBox>
								</TopPlaceHolder>
							</orb:TwoRowLayout>
							<orb:LargeSplitRibbonButton ID="LargeSplitRibbonButton1" runat="server" DisabledImageUrl="~/Images/32x32/DocumentDisabled.gif" EnabledImageUrl="~/Images/32x32/Document.gif" Text="Test" DropDownMenuID="DropDownMenu" OnClientBottomClick="_largeSplitRibbonButton1.showDropDownMenu(event);" />
							<orb:LargeRibbonButton ID="LargeRibbonButton20" runat="server" DisabledImageUrl="~/Images/32x32/DocumentDisabled.gif" EnabledImageUrl="~/Images/32x32/Document.gif" Text="Test" />
						</PlaceHolder>
					</orb:RibbonGroup>
					<orb:RibbonGroup ID="RibbonGroup7" runat="server" Text="Group 7" Width="169px" GenerateClientMember="True" ClientMemberName="_ribbonGroup7" CollapsedImageUrl="~/Images/16x16/Document.gif" CollapsedWidth="50" ExpandedWidth="146">
						<PlaceHolder>
							<orb:LargeRibbonButton ID="LargeRibbonButton23" runat="server" Text="Test" DisabledImageUrl="~/Images/32x32/DocumentDisabled.gif" EnabledImageUrl="~/Images/32x32/Document.gif" />
							<orb:LargeRibbonButton ID="LargeRibbonButton24" runat="server" Text="Test" DisabledImageUrl="~/Images/32x32/DocumentDisabled.gif" EnabledImageUrl="~/Images/32x32/Document.gif" />
							<orb:RibbonSeparator id="RibbonSeparator6" runat="server"></orb:RibbonSeparator>
							<orb:LargeRibbonButton ID="LargeRibbonButton25" runat="server" Text="Test" DisabledImageUrl="~/Images/32x32/DocumentDisabled.gif" EnabledImageUrl="~/Images/32x32/Document.gif" />
						</PlaceHolder>
					</orb:RibbonGroup>
				</radTS:PageView>
				<radTS:PageView ID="PageView3" runat="server" Width="100%" CssClass="ribbonPart">
					<orb:RibbonGroup ID="RibbonGroup8" runat="server" Text="Group 8" GenerateClientMember="True" ClientMemberName="_ribbonGroup8" Width="103px" CollapsedImageUrl="~/Images/16x16/Document.gif" CollapsedWidth="50" CollapseSequence="1" ExpandedWidth="97">
						<PlaceHolder>
							<orb:LargeRibbonButton ID="LargeRibbonButton26" runat="server" Text="Test" DisabledImageUrl="~/Images/32x32/DocumentDisabled.gif" EnabledImageUrl="~/Images/32x32/Document.gif" />
							<orb:LargeRibbonButton ID="LargeRibbonButton27" runat="server" Text="Test" DisabledImageUrl="~/Images/32x32/DocumentDisabled.gif" EnabledImageUrl="~/Images/32x32/Document.gif" />
						</PlaceHolder>
					</orb:RibbonGroup>
					<orb:RibbonGroup ID="RibbonGroup9" runat="server" Text="Group 9" Width="200px" GenerateClientMember="True" ClientMemberName="_ribbonGroup9" CollapsedImageUrl="~/Images/16x16/Document.gif" CollapsedWidth="50" ExpandedWidth="189">
						<PlaceHolder>
							<orb:LargeRibbonButton ID="LargeRibbonButton28" runat="server" Text="Test" DisabledImageUrl="~/Images/32x32/DocumentDisabled.gif" EnabledImageUrl="~/Images/32x32/Document.gif" />
							<orb:LargeRibbonButton ID="LargeRibbonButton29" runat="server" Text="Test" DisabledImageUrl="~/Images/32x32/DocumentDisabled.gif" EnabledImageUrl="~/Images/32x32/Document.gif" />
							<orb:LargeRibbonButton ID="LargeRibbonButton30" runat="server" Text="Test" DisabledImageUrl="~/Images/32x32/DocumentDisabled.gif" EnabledImageUrl="~/Images/32x32/Document.gif" />
							<orb:LargeRibbonButton ID="LargeRibbonButton31" runat="server" Text="Test" DisabledImageUrl="~/Images/32x32/DocumentDisabled.gif" EnabledImageUrl="~/Images/32x32/Document.gif" />
						</PlaceHolder>
					</orb:RibbonGroup>
					<orb:RibbonGroup ID="RibbonGroup10" runat="server" Text="Group 10" Width="217px" GenerateClientMember="True" CollapseSequence="2" ClientMemberName="_ribbonGroup10" CollapsedImageUrl="~/Images/16x16/Document.gif" CollapsedWidth="50" ExpandedWidth="192">
						<PlaceHolder>
							<orb:LargeRibbonButton ID="LargeRibbonButton32" runat="server" Text="Test" DisabledImageUrl="~/Images/32x32/DocumentDisabled.gif" EnabledImageUrl="~/Images/32x32/Document.gif" />
							<orb:LargeRibbonButton ID="LargeRibbonButton33" runat="server" Text="Test" DisabledImageUrl="~/Images/32x32/DocumentDisabled.gif" EnabledImageUrl="~/Images/32x32/Document.gif" />
							<orb:LargeRibbonButton ID="LargeRibbonButton34" runat="server" Text="Test" DisabledImageUrl="~/Images/32x32/DocumentDisabled.gif" EnabledImageUrl="~/Images/32x32/Document.gif" />
							<orb:RibbonSeparator id="RibbonSeparator9" runat="server"></orb:RibbonSeparator>
							<orb:LargeRibbonButton ID="LargeRibbonButton35" runat="server" Text="Test" DisabledImageUrl="~/Images/32x32/DocumentDisabled.gif" EnabledImageUrl="~/Images/32x32/Document.gif" />
						</PlaceHolder>
					</orb:RibbonGroup>
				</radTS:PageView>
				<radTS:PageView ID="PageView4" runat="server" Width="100%">
					<radM:RadMenu ID="MinimizeMenu" runat="server" Flow="Vertical" Skin="Outlook" IsContext="True" ContextMenuElementID="None" OnClientItemClicked="customizeMenuHandler">
						<Items>
							<radM:RadMenuItem ID="RadMenuItem5" runat="server" Text="Minimize the Ribbon" Value="MinimizeRibbon" ImageUrl="~/Images/Misc/Unchecked.gif">
							</radM:RadMenuItem>
						</Items>
					</radM:RadMenu>
				</radTS:PageView>
				<radTS:PageView ID="PageView5" runat="server" Width="100%">
					<radM:RadMenu ID="DropDownMenu" runat="server" Flow="Vertical" Skin="Outlook" IsContext="True" ContextMenuElementID="None">
						<Items>
							<radM:RadMenuItem ID="RadMenuItem7" runat="server" Text="Drop down action 1">
							</radM:RadMenuItem>
							<radM:RadMenuItem ID="RadMenuItem8" runat="server" Text="Drop down action 2">
							</radM:RadMenuItem>
							<radM:RadMenuItem ID="RadMenuItem9" runat="server" Text="Drop down action 3">
							</radM:RadMenuItem>
						</Items>
					</radM:RadMenu>
				</radTS:PageView>
			</radTS:RadMultiPage>
			<div class="pageBackground">
				<div class="pageTitle">Client-side examples</div>
				<div class="pageSubTitle" style="margin-top: 16px;">Ribbon Resizing Manager</div>
				<div class="plainText" style="margin-top: 8px;">
				To demonstate this feature change the width of the browser window. As the 
				width becomes too small to fit all controls, the groups will collapse to save space.
				Click on the collapsed group to show the group's controls as a pop-up. Click away
				to dismiss the pop-up. As the browser width increases the groups are expanded again.
				</div>
				<div class="plainText" style="margin-top: 8px;">
				When the width of the browser becomes too small to fit the collapsed groups the whole
				Ribbon is hidden. The Ribbon will be shown again as the browser width becomes wide enough.
				</div>
				<div class="pageSubTitle" style="margin-top: 16px;">Miscellaneous</div>
				<div class="plainText" style="margin-top: 8px;">
				By performing a post back you can see how changes made to the Ribbon on the client are 
				reflected back on the server.
				</div>
				<div style="margin-top: 8px;">
				<asp:Button ID="PostBack" runat="server" Text="Invoke Page PostBack" />
				<p/>
				<asp:Button ID="ReturnToExamples" runat="server" Text="Return To Client-Side Examples" PostBackUrl="~/Examples/ClientSide.aspx" />
				<asp:Button ID="ReturnToProject" runat="server" Text="Return To Project Introduction" PostBackUrl="~/Examples/Default.aspx" />
				</div>
			</div>
			<div class="applicationMenu" style="left: 7px">
			<radM:RadMenu ID="MainApplicationMenu" runat="server" ClickToOpen="True" EnableScreenBoundaryDetection="False"
				Skin="Office2007" BackColor="Transparent">
				<Items>
					<radM:RadMenuItem ID="RadMenuItem1" runat="server" ExpandedImageUrl="~/Office2007Client/Images/ApplicationMenuActive.gif"
						ImageClickedUrl="~/Office2007Client/Images/ApplicationMenuActive.gif" ImageOverUrl="~/Office2007Client/Images/ApplicationMenuHover.gif"
						ImageUrl="~/Office2007Client/Images/ApplicationMenu.gif">
					</radM:RadMenuItem>
				</Items>
			</radM:RadMenu>
			</div>
		</div>
		<orb:RibbonResizingManager ID="RibbonResizingManager" runat="server" ClientMemberName="_ribbonResizingManager" GenerateClientMember="True" MinimumRibbonWidth="235" />	
		<br />
    </form>
</body>
</html>
