<%@ Page Language="C#" AutoEventWireup="false"  CodeFile="ClientSmallRibbonButton.aspx.cs" Inherits="ClientSmallRibbonButton" %>
<%@ Register Assembly="RadToolbar.Net2" Namespace="Telerik.WebControls" TagPrefix="radTlb" %>
<%@ Register Assembly="RadComboBox.Net2" Namespace="Telerik.WebControls" TagPrefix="radC" %>
<%@ Register Assembly="RadAjax.Net2" Namespace="Telerik.WebControls" TagPrefix="radA" %>
<%@ Register Assembly="RadMenu.Net2" Namespace="Telerik.WebControls" TagPrefix="radM" %>
<%@ Register Assembly="RadTabStrip.Net2" Namespace="Telerik.WebControls" TagPrefix="radTS" %>
<%@ Register Assembly="RussellMason.Web.Application" Namespace="RussellMason.Web.UI.Office2007" TagPrefix="orb" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
    <title>Client-side examples - Small Ribbon Buttons</title>
    <link rel="Stylesheet" type="text/css" href="../../Office2007Client/Css/RibbonBar.css" />
    <script type="text/javascript" src="../../Office2007Client/Scripts/RibbonBar.js"></script>
    <script type="text/javascript" src="../../Office2007Client/Scripts/RibbonPreloader.js"></script>
</head>
<body onload="preloadRibbonImages('../../Office2007Client/Images/');">
    <form id="form1" runat="server">
    <div style="min-width: 600px;">
			<orb:ApplicationBar ID="MainApplicationBar" runat="server" ApplicationName="Test Client" DocumentName="Small Ribbon buttons" GenerateClientMember="True" ApplicationMenuID="MainApplicationMenu" RibbonTabStripID="TabStrip" ClientMemberName="_applicationBar">
				<PlaceHolder>
				</PlaceHolder>
			</orb:ApplicationBar>
			<radTS:RadTabStrip ID="TabStrip" runat="server" Skin="Office2007" style="padding-left:50px;" MultiPageID="RadMultiPage" SelectedIndex="0">
				<Tabs>
					<radTS:Tab runat="server" Text="Standard" PageViewID="PageView1" ID="RibbonTab1">
					</radTS:Tab>
					<radTS:Tab runat="server" Text="Split" PageViewID="PageView2" ID="RibbonTab2">
					</radTS:Tab>
					<radTS:Tab runat="server" Text="Navigation\Validation" PageViewID="PageView3" ID="RibbonTab3">
					</radTS:Tab>
				</Tabs>
			</radTS:RadTabStrip>
			<radTS:RadMultiPage ID="RadMultiPage" runat="server" CssClass="ribbonBar" SelectedIndex="0" Width="100%">
				<radTS:PageView ID="PageView1" runat="server" Width="100%" CssClass="ribbonPart">
					<orb:RibbonGroup ID="SmallButtonGroup" runat="server" Text="Small Ribbon Buttons" Width="424px" ClientMemberName="_smallButtonGroup">
						<PlaceHolder>
							<orb:ThreeRowLayout ID="ThreeRowLayout1" runat="server">
								<TopPlaceHolder><orb:SmallRibbonButton ID="ClickSmallRibbonButton" runat="server" Width="100px" EnabledImageUrl="~/Images/16x16/Document.gif" OnClientClick="alert('SmallRibbonButton client-side click');" Text="On Client Click" ToolTip="Click this button to demonstate the OnClientClick event" DisabledImageUrl="~/Images/16x16/DocumentDisabled.gif" ClientMemberName="_clickSmallRibbonButton" /></TopPlaceHolder>
								<CenterPlaceHolder><orb:SmallRibbonButton ID="EnabledSmallRibbonButton" runat="server" Width="100px" EnabledImageUrl="~/Images/16x16/Document.gif" Text="Enabled" DisabledImageUrl="~/Images/16x16/DocumentDisabled.gif" ClientMemberName="_enabledSmallRibbonButton" ToolTip="This button will reflect the Enabled state" /></CenterPlaceHolder>
								<BottomPlaceHolder><orb:SmallRibbonButton ID="CheckedSmallRibbonButton" runat="server" Width="100px" EnabledImageUrl="~/Images/16x16/Document.gif" Text="Checked" DisabledImageUrl="~/Images/16x16/DocumentDisabled.gif" ClientMemberName="_checkedSmallRibbonButton" ToolTip="This button will reflect the Checked state" /></BottomPlaceHolder>
							</orb:ThreeRowLayout>
							<orb:RibbonSeparator ID="RibbonSeparator1" runat="server" />
							<orb:ThreeRowLayout ID="ThreeRowLayout2" runat="server">
								<TopPlaceHolder><orb:SmallRibbonButton ID="DropDownSmallRibbonButton" runat="server" Width="170px" EnabledImageUrl="~/Images/16x16/Document.gif" DropDownMenuID="DropDownMenu" Text="Drop Down Menu" DisabledImageUrl="~/Images/16x16/DocumentDisabled.gif" OnClientClick="_dropDownSmallRibbonButton.showDropDownMenu(event);" ClientMemberName="_dropDownSmallRibbonButton" ToolTip="Click this button to display a drop down list" /></TopPlaceHolder>
								<CenterPlaceHolder><orb:SmallRibbonButton ID="DropDownEnabledSmallRibbonButton" runat="server" Width="170px" EnabledImageUrl="~/Images/16x16/Document.gif" DisabledImageUrl="~/Images/16x16/DocumentDisabled.gif" Text="Drop Down Menu Enabled" DropDownMenuID="DropDownMenu" OnClientClick="_dropDownEnabledSmallRibbonButton.showDropDownMenu(event);" ClientMemberName="_dropDownEnabledSmallRibbonButton" ToolTip="Click this button to display a drop down list. It will also reflect the Enabled state" /></CenterPlaceHolder>
								<BottomPlaceHolder><orb:SmallRibbonButton ID="DropDownCheckedSmallRibbonButton" runat="server" EnabledImageUrl="~/Images/16x16/Document.gif" DisabledImageUrl="~/Images/16x16/DocumentDisabled.gif" Text="Drop Down Menu Checked" DropDownMenuID="DropDownMenu" Width="170px" OnClientClick="_dropDownCheckedSmallRibbonButton.showDropDownMenu(event);" ClientMemberName="_dropDownCheckedSmallRibbonButton" ToolTip="Click this button to display a drop down list. It will also reflect the Checked state" /></BottomPlaceHolder>
							</orb:ThreeRowLayout>
							<orb:RibbonSeparator ID="RibbonSeparator2" runat="server" />
							<orb:ThreeRowLayout ID="ThreeRowLayout3" runat="server">
								<TopPlaceHolder><orb:SmallRibbonButton ID="TextSmallRibbonButton" runat="server" EnabledImageUrl="~/Images/16x16/Document.gif" Text="Set" ClientMemberName="_textSmallRibbonButton" ToolTip="This button will reflect the text change" Width="70px" /></TopPlaceHolder>
							</orb:ThreeRowLayout>							
						</PlaceHolder>
					</orb:RibbonGroup>
				</radTS:PageView>
				<radTS:PageView ID="PageView2" runat="server" Width="100%" CssClass="ribbonPart">
				<orb:RibbonGroup ID="SmallSplitButtonGroup" runat="server" Text="Small Split Ribbon Buttons" Width="421px" ClientMemberName="_smallSplitButtonGroup">
					<PlaceHolder>
					<orb:ThreeRowLayout ID="ThreeRowLayout4" runat="server">
						<TopPlaceHolder><orb:SmallSplitRibbonButton ID="ClickSmallSplitRibbonButton" runat="server" Width="110px" EnabledImageUrl="~/Images/16x16/Document.gif" OnClientClick="alert('SmallSplitRibbonButton client-side click');" Text="On Client Click" ToolTip="Click the left of this button to demonstate the OnClientClick event and the right to demstrate the OnClientRightClick event" DisabledImageUrl="~/Images/16x16/DocumentDisabled.gif" ClientMemberName="_clickSplitSmallRibbonButton" OnClientRightClick="alert('SmallSplitRibbonButton client-side right click');" /></TopPlaceHolder>
					</orb:ThreeRowLayout>
					<orb:RibbonSeparator ID="RibbonSeparator4" runat="server" />
					<orb:ThreeRowLayout ID="ThreeRowLayout5" runat="server">
					<TopPlaceHolder><orb:SmallSplitRibbonButton ID="SmallSplitRibbonButton" runat="server" Width="125px" EnabledImageUrl="~/Images/16x16/Document.gif" Text="Drop Down Menu" DisabledImageUrl="~/Images/16x16/DocumentDisabled.gif" OnClientRightClick="_largeSplitRibbonButton.showDropDownMenu(event);" ClientMemberName="_largeSplitRibbonButton" ToolTip="Click the right of this button to display a drop down list" DropDownMenuID="DropDownMenu" /></TopPlaceHolder>
					<CenterPlaceHolder><orb:SmallSplitRibbonButton ID="EnabledSmallSplitRibbonButton" runat="server" Width="165px" EnabledImageUrl="~/Images/16x16/Document.gif" DisabledImageUrl="~/Images/16x16/DocumentDisabled.gif" Text="Drop Down Menu Enabled" DropDownMenuID="DropDownMenu" OnClientRightClick="_enabledSmallSplitRibbonButton.showDropDownMenu(event);" ClientMemberName="_enabledSmallSplitRibbonButton" ToolTip="Click the right of this button to display a drop down list. It will also reflect the Enabled state" /></CenterPlaceHolder>
					</orb:ThreeRowLayout>
					<orb:RibbonSeparator ID="RibbonSeparator5" runat="server" />
					<orb:ThreeRowLayout ID="ThreeRowLayout6" runat="server">
						<TopPlaceHolder><orb:SmallSplitRibbonButton ID="TextSmallRibbonSplitButton" runat="server" EnabledImageUrl="~/Images/16x16/Document.gif" Text="Set" ClientMemberName="_textSmallSplitRibbonButton" ToolTip="This button will reflect the text change" Width="70px" /></TopPlaceHolder>
					</orb:ThreeRowLayout>
					</PlaceHolder>
				</orb:RibbonGroup>
				</radTS:PageView>
				<radTS:PageView ID="PageView3" runat="server" Width="100%" CssClass="ribbonPart">
				<orb:RibbonGroup ID="NavigationGroup" runat="server" Text="Navigation" Width="185px" ClientMemberName="_navigationGroup">
					<PlaceHolder>
					<orb:ThreeRowLayout ID="ThreeRowLayout7" runat="server">
						<TopPlaceHolder><orb:SmallRibbonButton ID="MicrosoftNavigation" runat="server" Width="160px" EnabledImageUrl="~/Images/16x16/Document.gif" Text="Microsoft (This Window)" ToolTip="Click to navigate to Microsoft using this window. Click your browser's Back button to return to this page." DisabledImageUrl="~/Images/16x16/DocumentDisabled.gif" ClientMemberName="_microsoftNavigation" NavigateUrl="http://www.microsoft.com" /></TopPlaceHolder>
						<CenterPlaceHolder><orb:SmallRibbonButton ID="MicrosoftNavigationNew" runat="server" Width="160px" EnabledImageUrl="~/Images/16x16/Document.gif" Text="Microsoft (New Window)" ToolTip="Click to navigate to Microsoft using a new window." DisabledImageUrl="~/Images/16x16/DocumentDisabled.gif" ClientMemberName="_microsoftNavigationNew" NavigateUrl="http://www.microsoft.com" Target="_blank" /></CenterPlaceHolder>
						<BottomPlaceHolder><orb:SmallRibbonButton ID="CancelNavigation" runat="server" Width="160px" EnabledImageUrl="~/Images/16x16/Document.gif" Text="Microsoft (Prompt)" ToolTip="Click to demonstrate the ability to cancel navigation. At the prompt answer 'OK' to navigate, 'Cancel' to cancel." DisabledImageUrl="~/Images/16x16/DocumentDisabled.gif" ClientMemberName="_microsoftNavigationPrompt" NavigateUrl="http://www.microsoft.com" Target="_blank" OnClientClick="if (!confirm('Do you want to navigate to Microsoft?')) {return false;}" /></BottomPlaceHolder>
					</orb:ThreeRowLayout>
					</PlaceHolder>
				</orb:RibbonGroup>
				<orb:RibbonGroup ID="ValidationGroup" runat="server" Text="Validation" Width="162px" ClientMemberName="_validationGroup">
					<PlaceHolder>
					<orb:ThreeRowLayout ID="ThreeRowLayout8" runat="server">
						<TopPlaceHolder><orb:SmallRibbonButton ID="DefaultValidationButton" runat="server" Width="130px" EnabledImageUrl="~/Images/16x16/Document.gif" Text="Default Validation" ToolTip="Click to cause default validation." DisabledImageUrl="~/Images/16x16/DocumentDisabled.gif" ClientMemberName="_defaultValidationButton" AutoPostBack="True" /></TopPlaceHolder>
						<CenterPlaceHolder><orb:SmallRibbonButton ID="ValidationGroupAButton" runat="server" Width="130px" EnabledImageUrl="~/Images/16x16/Document.gif" Text="Validation Group A" ToolTip="Click to cause validation for group A." DisabledImageUrl="~/Images/16x16/DocumentDisabled.gif" ClientMemberName="_validationGroupAButton" ValidationGroup="A" AutoPostBack="True" /></CenterPlaceHolder>
						<BottomPlaceHolder><orb:SmallRibbonButton ID="ValidationGroupBButton" runat="server" Width="130px" EnabledImageUrl="~/Images/16x16/Document.gif" Text="Validation Group B" ToolTip="Click to cause validation for group B." DisabledImageUrl="~/Images/16x16/DocumentDisabled.gif" ClientMemberName="_validationGroupBButton" ValidationGroup="B" AutoPostBack="True" /></BottomPlaceHolder>
					</orb:ThreeRowLayout>
					</PlaceHolder>
				</orb:RibbonGroup>
				</radTS:PageView>
				<radTS:PageView ID="PageView4" runat="server" Width="100%">
					<radM:RadMenu ID="DropDownMenu" runat="server" Flow="Vertical" Skin="Outlook" IsContext="True" ContextMenuElementID="None">
						<Items>
							<radM:RadMenuItem ID="RadMenuItem7" runat="server" Text="Drop down action 1">
							</radM:RadMenuItem>
							<radM:RadMenuItem ID="RadMenuItem8" runat="server" Text="Drop down action 2">
							</radM:RadMenuItem>
							<radM:RadMenuItem ID="RadMenuItem9" runat="server" Text="Drop down action 3">
							</radM:RadMenuItem>
						</Items>
					</radM:RadMenu>
				</radTS:PageView>
			</radTS:RadMultiPage>
			<div class="pageBackground">
				<div class="pageTitle">Client-side examples</div>
				<div class="plainText" style="margin-top: 16px;">
				The drop down menus assigned to the Small Ribbon buttons and Small Split Ribbon buttons 
				are provided by a Telerik RadMenu with some addition CSS styles applied.
				</div>
				<div class="pageSubTitle" style="margin-top: 16px;">SmallRibbonButton</div>
				<div class="plainText" style="margin-top: 8px;">
				Select the Ribbon's 'Standard' tab to perform the following actions.<p/>
				Clicking the following buttons toggle the state of the Small Ribbon buttons.
				</div>
				<div style="margin-top: 8px;">
					<input id="ToggleEnabled" type="button" value="Toggle Enabled State" onclick="_enabledSmallRibbonButton.setEnabled(!_enabledSmallRibbonButton.getEnabled()); _dropDownEnabledSmallRibbonButton.setEnabled(!_dropDownEnabledSmallRibbonButton.getEnabled());" />
					<input id="ToggleChecked" type="button" value="Toggle Checked State" onclick="_checkedSmallRibbonButton.setChecked(!_checkedSmallRibbonButton.getChecked()); _dropDownCheckedSmallRibbonButton.setChecked(!_dropDownCheckedSmallRibbonButton.getChecked());" />
				</div>
				<div class="plainText" style="margin-top: 8px;">
				Clicking this button toggles the text between 'Set' and 'Reset'.
				</div>
				<div style="margin-top: 8px;">
					<input id="ChangeText" type="button" value="Change Text" onclick="if (_textSmallRibbonButton.getText() == 'Set') _textSmallRibbonButton.setText('Reset'); else _textSmallRibbonButton.setText('Set');" /><br />
				</div>
				<div class="pageSubTitle" style="margin-top: 16px;">SmallSplitRibbonButton</div>
				<div class="plainText" style="margin-top: 8px;">
				Select the Ribbon's 'Split' tab to perform the following actions.<p/>
				Clicking this button toggles the state of the Small Split Ribbon buttons.
				</div>
				<div style="margin-top: 8px;">
					<input id="ToggleEnabledSplit" type="button" value="Toggle Enabled State" onclick="_enabledSmallSplitRibbonButton.setEnabled(!_enabledSmallSplitRibbonButton.getEnabled());" />
				</div>
				<div class="plainText" style="margin-top: 8px;">
				Clicking this button toggles the text between 'Set' and 'Reset'.
				</div>
				<div style="margin-top: 8px;">
					<input id="TextSplit" type="button" value="Change Text" onclick="if (_textSmallSplitRibbonButton.getText() == 'Set') _textSmallSplitRibbonButton.setText('Reset'); else _textSmallSplitRibbonButton.setText('Set');" />
				</div>
				<div class="pageSubTitle" style="margin-top: 16px;">Validation</div>
				<div class="plainText" style="margin-top: 8px;">
				Select the Ribbon's 'Navigation\Validation' tab to perform the following actions.<p/>
				These text boxes use a required field validator. Clear the text from the appropriate text box 
				and click the corresponding validation group button.<br/>
				<div class="plainText" style="margin-top: 8px;">
				Default (Empty) Validation Group:&nbsp;<asp:TextBox ID="DefaultValidation" runat="server">Default Validation</asp:TextBox>
				<asp:RequiredFieldValidator ID="RequiredFieldValidator1" runat="server" ControlToValidate="DefaultValidation" ErrorMessage="Default Validation Fired"></asp:RequiredFieldValidator><br/>
				</div>
				<div class="plainText" style="margin-top: 8px;">
				Validation Group A:&nbsp;<asp:TextBox ID="ValidationGroupA" runat="server">Validation Group A</asp:TextBox>
				<asp:RequiredFieldValidator ID="RequiredFieldValidator2" runat="server" ControlToValidate="ValidationGroupA" ErrorMessage="Validation Group A Fired" ValidationGroup="A"></asp:RequiredFieldValidator><br/>
				</div>
				<div class="plainText" style="margin-top: 8px;">
				Validation Group B:&nbsp;<asp:TextBox ID="ValidationGroupB" runat="server">Validation Group B</asp:TextBox>
				<asp:RequiredFieldValidator ID="RequiredFieldValidator3" runat="server" ControlToValidate="ValidationGroupB" ErrorMessage="Validation Group B Fired" ValidationGroup="B"></asp:RequiredFieldValidator><br/>
				</div>
				</div>
				<div class="pageSubTitle" style="margin-top: 16px;">Miscellaneous</div>
				<div class="plainText" style="margin-top: 8px;">
				By performing a post back you can see how changes made to the Ribbon on the client are 
				reflected back on the server.
				</div>
				<div style="margin-top: 8px;">
				<asp:Button ID="PostBack" runat="server" Text="Invoke Page PostBack" />
				<p/>
				<asp:Button ID="ReturnToExamples" runat="server" Text="Return To Client-Side Examples" PostBackUrl="~/Examples/ClientSide.aspx" CausesValidation="False" />
				<asp:Button ID="ReturnToProject" runat="server" Text="Return To Project Introduction" PostBackUrl="~/Examples/Default.aspx" CausesValidation="False" />
				</div>
			</div>
			<div class="applicationMenu" style="left: 7px">
			<radM:RadMenu ID="MainApplicationMenu" runat="server" ClickToOpen="True" EnableScreenBoundaryDetection="False"
				Skin="Office2007" BackColor="Transparent">
				<Items>
					<radM:RadMenuItem ID="RadMenuItem1" runat="server" ExpandedImageUrl="~/Office2007Client/Images/ApplicationMenuActive.gif"
						ImageClickedUrl="~/Office2007Client/Images/ApplicationMenuActive.gif" ImageOverUrl="~/Office2007Client/Images/ApplicationMenuHover.gif"
						ImageUrl="~/Office2007Client/Images/ApplicationMenu.gif">
					</radM:RadMenuItem>
				</Items>
			</radM:RadMenu>
			</div>	
		</div>		
    </form>
</body>
</html>
