using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.Threading;

using Telerik.WebControls;

using RussellMason.Web.UI;
using RussellMason.Web.UI.Office2007;

public partial class ServerSmallRibbonButton : RibbonPage
{

	protected void ClickSmallRibbonButton_Click(object sender, EventArgs e)
	{
		this.EventText.Text += "Small Ribbon Button Clicked" + Environment.NewLine;
	}

	protected void DropDownSmallRibbonButton_Click(object sender, EventArgs e)
	{
		this.EventText.Text += "Small Ribbon Button With Drop Down Clicked" + Environment.NewLine;
	}
	
	protected void ClickSmallSplitRibbonButton_Click(object sender, EventArgs e)
	{
		this.EventText.Text += "Small Split Ribbon Button Clicked" + Environment.NewLine;
	}
	
	protected void ClickSmallSplitRibbonButton_RightClick(object sender, EventArgs e)
	{
		this.EventText.Text += "Small Split Ribbon Right Button Clicked" + Environment.NewLine;
	}

	protected void ToggleEnabled_Click(object sender, EventArgs e)
	{
		this.EnabledSmallRibbonButton.Enabled = !this.EnabledSmallRibbonButton.Enabled;
		this.DropDownEnabledSmallRibbonButton.Enabled = !this.DropDownEnabledSmallRibbonButton.Enabled;
	}
	
	protected void ToggleChecked_Click(object sender, EventArgs e)
	{
		this.CheckedSmallRibbonButton.Checked = !this.CheckedSmallRibbonButton.Checked;
		this.DropDownCheckedSmallRibbonButton.Checked = !this.DropDownCheckedSmallRibbonButton.Checked;
	}
	
	protected void ChangeText_Click(object sender, EventArgs e)
	{
		if (this.TextSmallRibbonButton.Text == "Set")
		{
			this.TextSmallRibbonButton.Text = "Reset";
		}
		else
		{
			this.TextSmallRibbonButton.Text = "Set";
		}
	}
	
	protected void ToggleEnabledSplit_Click(object sender, EventArgs e)
	{
		this.EnabledSmallSplitRibbonButton.Enabled = !this.EnabledSmallSplitRibbonButton.Enabled;
	}

	protected void TextSplit_Click(object sender, EventArgs e)
	{
		if (this.TextSmallRibbonSplitButton.Text == "Set")
		{
			this.TextSmallRibbonSplitButton.Text = "Reset";
		}
		else
		{
			this.TextSmallRibbonSplitButton.Text = "Set";
		}
	}

}
