using System;
using System.Collections.Generic;
using System.Text;

namespace RussellMason.Web.UI.Office2007
{

	#region Enumerations

	/// <summary>
	/// Specifies where the drop down arrow is displayed in the ribbon button.
	/// </summary>
	public enum DropDownMenuAlignment
	{

		/// <summary>
		/// The arrow is displayed in the centre of the button.
		/// </summary>
		Center = 0,

		/// <summary>
		/// The arrow is displayed on the left of the button.
		/// </summary>
		Left = 1,

		/// <summary>
		/// The arrow is displayed on the right of the button.
		/// </summary>
		Right = 2

	} 

	#endregion Enumerations

}
